Page MenuHomePhabricator

rename repository for WikibaseSchema
Closed, ResolvedPublic8 Estimate Story Points

Description

We need to rename the repository for WikibaseSchema to EntitySchema.

This would include:

Details

Related Gerrit Patches:
mediawiki/extensions : masterRename WikibaseSchema to EntitySchema
mediawiki/extensions : masterFix I9a81b1e0ebb4c14f983d17a153183aeacc9e7858

Event Timeline

Paladox moved this task from Bugs & stuff to Repo Admin on the Gerrit board.Apr 26 2019, 10:57 PM
WMDE-leszek added a comment.EditedApr 29 2019, 11:55 AM

This would include:

  • renaming the gerrit repository (renaming on gerrit means creating the new repo and copying over the content)
  • adjusting Jenkins CI config
  • adjusting translatewiki/L10bot config
  • renaming the github mirror https://github.com/wikimedia/mediawiki-extensions-WikibaseSchema
  • rename Extension page on mediawiki.org
  • possibly more?
WMDE-leszek removed WMDE-leszek as the assignee of this task.Apr 30 2019, 11:32 AM
WMDE-leszek added a subscriber: WMDE-leszek.

Repository with the new name created: https://gerrit.wikimedia.org/r/#/admin/projects/mediawiki/extensions/EntitySchema

@Lucas_Werkmeister_WMDE @Michael @noarave @hoo I'll let you proceed with the further steps (the order in the above comment might be preferred one but does not have too, and some steps could happen in parallel)

Change 507298 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[integration/config@master] Update for WikibaseSchema → EntitySchema rename

https://gerrit.wikimedia.org/r/507298

Michael updated the task description. (Show Details)Apr 30 2019, 12:01 PM

The integration patch has been merged by the old repo still exist in beta cluster instead. I'm trying to find out where config for that is stored. No luck so far.

Change 508614 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/extensions@master] Rename WikibaseSchema to EntitySchema

https://gerrit.wikimedia.org/r/508614

Change 508614 merged by Ladsgroup:
[mediawiki/extensions@master] Rename WikibaseSchema to EntitySchema

https://gerrit.wikimedia.org/r/508614

Change 509079 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/extensions@master] Fix I9a81b1e0ebb4c14f983d17a153183aeacc9e7858

https://gerrit.wikimedia.org/r/509079

Change 509079 merged by Ladsgroup:
[mediawiki/extensions@master] Fix I9a81b1e0ebb4c14f983d17a153183aeacc9e7858

https://gerrit.wikimedia.org/r/509079

Michael closed this task as Resolved.May 13 2019, 12:34 PM
Michael updated the task description. (Show Details)
Michael updated the task description. (Show Details)